> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Plan Expiration API Endpoint

> This API endpoint allows a user to check the expiration status of their current plan.



## OpenAPI

````yaml get /api/plan/expiration/
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /api/plan/expiration/:
    get:
      tags:
        - api
      summary: Check Plan Expiration API Endpoint
      description: >-
        This API endpoint allows a user to check the expiration status of their
        current plan.
      operationId: check_plan_expiration
      responses:
        '200':
          description: Successfully checked the plan expiration status
          content:
            application/json:
              schema:
                title: Plan Expiration Status
                type: object
                properties:
                  expired:
                    title: Expired
                    type: boolean
              example:
                expired: false
        '400':
          description: Failed to check the plan expiration status or validation errors
          content: {}
        '500':
          description: Failed to check the plan expiration status
          content:
            application/json:
              schema:
                title: Internal Server Error
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  error:
                    type: string
                    default: Internal Server Error
                description: Internal Server Error OpenAPI Schema
              example:
                success: false
                error: Internal Server Error
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````